FLANG

Classes | Public Member Functions | Public Attributes | List of all members
Fortran::parser::DeclarationTypeSpec Struct Reference

## Classes
struct | Class
struct | Type

## Public Member Functions
| UNION_CLASS_BOILERPLATE (DeclarationTypeSpec)
| EMPTY_CLASS (ClassStar)
| EMPTY_CLASS (TypeStar)
| WRAPPER_CLASS (Record, Name)

## Public Attributes
std::variant< IntrinsicTypeSpec, Type, Class, ClassStar, TypeStar, Record > | u

The documentation for this struct was generated from the following file:

- include/flang/Parser/parse-tree.h